Groovy Documentation

## org.codehaus.groovy.reflection
[Java] Class GeneratedMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.reflection.GeneratedMetaMethod

    public abstract class GeneratedMetaMethod
    extends MetaMethod

Nested Class Summary
`static class` | `GeneratedMetaMethod.DgmMethodRecord`
`static class` | `GeneratedMetaMethod.Proxy`

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`GeneratedMetaMethod(java.lang.String name, CachedClass declaringClass, java.lang.Class returnType, java.lang.Class[] parameters)`

Method Summary
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`java.lang.Class` | `getReturnType()`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GeneratedMetaMethod

    public GeneratedMetaMethod(java.lang.String name, CachedClass declaringClass, java.lang.Class returnType, java.lang.Class[] parameters)

Method Detail

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public java.lang.String getName()

### getReturnType

    public java.lang.Class getReturnType()

Groovy Documentation